Page MenuHomePhabricator

Tighten Ferret query parsing of empty tokens and empty functions
ClosedPublic

Authored by epriestley on Apr 14 2020, 4:51 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Mar 29, 2:12 AM
Unknown Object (File)
Mar 10 2024, 11:14 AM
Unknown Object (File)
Feb 14 2024, 6:51 AM
Unknown Object (File)
Jan 25 2024, 11:52 AM
Unknown Object (File)
Jan 25 2024, 2:16 AM
Unknown Object (File)
Jan 6 2024, 8:39 PM
Unknown Object (File)
Dec 30 2023, 3:51 AM
Unknown Object (File)
Dec 23 2023, 8:56 PM
Subscribers
None

Details

Summary

Ref T13509. Certain query tokens like title:="" are currently accepted by the parser but discarded, and have no impact on the query. This isn't desirable.

Instead, require that tokens making an assertion about field content must be nonempty.

Test Plan

Added unit tests, made them pass.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Apr 14 2020, 5:32 PM
This revision was automatically updated to reflect the committed changes.